Eclipse Platform Release 3.7

## org.eclipse.swt.events
Interface VerifyListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

    public interface VerifyListener

extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide a method that deals with the events that are generated when text is about to be modified.

After creating an instance of a class that implements this interface it can be added to a text control using the `addVerifyListener` method and removed using the `removeVerifyListener` method. When the text is about to be modified, the verifyText method will be invoked.

See Also:
  `VerifyEvent`

Method Summary
`void` `verifyText(VerifyEvent e)` Sent when the text is about to be modified.

Method Detail

### verifyText

    void verifyText(VerifyEvent e)

  Sent when the text is about to be modified.

  A verify event occurs after the user has done something to modify the text (typically typed a key), but before the text is modified. The doit field in the verify event indicates whether or not to modify the text.

  Parameters:
    `e` - an event containing information about the verify

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.